### Method

# Gck Enumerator next_n

#### Declaration [src]

    GList*
    gck_enumerator_next_n (
      GckEnumerator* self,
      gint max_objects,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get the next set of objects from the enumerator. The maximum number of objects can be specified with `max_objects`. If -1 is specified, then all the remaining objects will be returned.

`NULL` is also returned if the function fails. Use the `error` to determine whether a failure occurred or not.

#### Parameters

`max_objects`

  Type: `gint`

  The maximum amount of objects to enumerate.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GckObject*`

A list of `Gck.Object`s.

The caller of the method takes ownership of the data, and is responsible for freeing it.